Loading...
Searching...
No Matches
dvb_bch_bb.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2015-2017 Free Software Foundation, Inc.
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_DTV_DVB_BCH_BB_H
#define INCLUDED_DTV_DVB_BCH_BB_H
#include <gnuradio/block.h>
#include <gnuradio/dtv/api.h>
#include <gnuradio/dtv/dvb_config.h>
namespace gr {
namespace dtv {
/*!
* \brief Encodes a BCH ((Bose, Chaudhuri, Hocquenghem) FEC.
* \ingroup dtv
*
* \details
* Input: Variable length FEC baseband frames (BBFRAME). \n
* Output: Variable length FEC baseband frames with appended BCH (BCHFEC).
*/
class DTV_API dvb_bch_bb : virtual public gr::block
{
public:
typedef std::shared_ptr<dvb_bch_bb> sptr;
/*!
* \brief Create a baseband frame BCH encoder.
*
* \param standard DVB standard (DVB-S2 or DVB-T2).
* \param framesize FEC frame size (normal, medium or short).
* \param rate FEC code rate.
*/
static sptr
make(dvb_standard_t standard, dvb_framesize_t framesize, dvb_code_rate_t rate);
};
} // namespace dtv
} // namespace gr
#endif /* INCLUDED_DTV_DVB_BCH_BB_H */
gr::block
The abstract base class for all 'terminal' processing blocks.
Definition gnuradio-runtime/include/gnuradio/block.h:63
gr::dtv::dvb_bch_bb
Encodes a BCH ((Bose, Chaudhuri, Hocquenghem) FEC.
Definition dvb_bch_bb.h:29
gr::dtv::dvb_bch_bb::make
static sptr make(dvb_standard_t standard, dvb_framesize_t framesize, dvb_code_rate_t rate)
Create a baseband frame BCH encoder.
gr::dtv::dvb_bch_bb::sptr
std::shared_ptr< dvb_bch_bb > sptr
Definition dvb_bch_bb.h:31
dvb_config.h
block.h
api.h
DTV_API
#define DTV_API
Definition gr-dtv/include/gnuradio/dtv/api.h:18
gr::dtv
Definition atsc_consts.h:17
gr::dtv::dvb_code_rate_t
dvb_code_rate_t
Definition dvb_config.h:19
gr::dtv::dvb_framesize_t
dvb_framesize_t
Definition dvb_config.h:73
gr::dtv::dvb_standard_t
dvb_standard_t
Definition dvb_config.h:14
gr
GNU Radio logging wrapper.
Definition basic_block.h:29